require 'fastlane/action'
require_relative '../helper/parse_configurations_helper'

module Fastlane
  module Actions
    class ParseConfigurationsAction < Action
      def self.run(params)
      file_path = params[:path]
        file_content = File.read(file_path)
        return JSON.parse(file_content)
      end

      def self.description
        "It is used to parse json configration"
      end

      def self.authors
        ["Melki"]
      end

      def self.return_value
       "The content of the json file"
      end

      def self.details
        # Optional:
        ""
      end

      def self.available_options
        [
           FastlaneCore::ConfigItem.new(key: :path,
                                   env_name: "PARSE_CONFIGURATIONS_PATH",
                                description: "Path to the json file",
                                   optional: false,
                                        verify_block: proc do |value|
                                        UI.user_error!("Couldn't find given file") unless File.exist?(value)
                                        end,
                                       type: String)
        ]
      end

      def self.is_supported?(platform)
        true
      end
    end
  end
end
